I have Logic Studio with Logic Pro 8. I'd like to upgrade to Logic Pro 9 but will my RME Fireface 800 interface be fully compatible please?

  • Asked by Steve K from Wells
  • Oct 25, 2009
QA Logic Studio

QA Logic Studio

Product No Longer Available

1 Answer from the Community

  • That is really a question to ask the people who made this interface, as it is their hardware, see if they have a driver update. But from what I know, if it is compatible with the Core Audio system in your version of Mac OS X, then it might work.

    • Answered by Benjamin S from Nashville
    • Feb 11, 2010